jQuery(document).ready(function() {
    
    /* Superfish the menu drops ---------------------*/
    jQuery('.menu').superfish({
    	delay			: 200,
    	animation		: {opacity:'show'},
    	speed			: 'fast',
    	autoArrows		: true,
    	dropShadows		: false
    });
        
    /* Flexslider ---------------------*/
    jQuery(window).load(function() { 
        if( jQuery().flexslider ) {
        	var slider = jQuery('.flexslider');
        	
        	slider.fitVids().flexslider({
    	    	slideshowSpeed		: slider.attr('data-speed'),
    	    	animationDuration	: 400,
    	    	animation			: 'slide',
    	    	video				: true,
    	    	useCSS				: false,
    	    	touch				: false,
    	    	animationLoop		: true,
    	    	smoothHeight		: true,
    	    	
    	    	start: function(slider) {
    	    	    slider.removeClass('loading');
    	    	}
        	});	
        }
    });	
    
    /* Fit Vids ---------------------*/
    jQuery(".feature_vid").fitVids();
    
});